  function [d0,d1] = build_exterior_derivatives( V, E, F )
% function [d0,d1] = build_exterior_derivatives( V, E, F )
%
% INPUT:
%    V - dense 2x|V| matrix of vertex positions
%    E - dense |E|x2 matrix of edges as 1-based indices into vertex list
%    F - dense |F|x3 matrix of faces as 1-based indices into edge list
%
% OUTPUT:
%    d0 - sparse |E|x|V| matrix representing discrete exterior derivative on 0-simplices
%    d1 - sparse |F|x|E| matrix representing discrete exterior derivative on 1-simplices
%

end

