  function [star0,star1,star2] = build_hodge_stars( d0, d1, c0, c1, c2 )
% function [star0,star1,star2] = build_hodge_stars( d0, d1, c0, c1, c2 )
%
% INPUT:
%    d0 - sparse |E|x|V| matrix representing discrete exterior derivative on 0-simplices
%    d1 - sparse |F|x|E| matrix representing discrete exterior derivative on 1-simplices
%    c0 - dense 2x|V| matrix of vertex circumcenters
%    c1 - dense 2x|E| matrix of edge circumcenters
%    c2 - dense 2x|F| matrix of face circumcenters
%
% OUTPUT:
%    star0 - sparse diagonal |V|x|V| matrix representing Hodge star on primal 0-forms
%    star1 - sparse diagonal |E|x|E| matrix representing Hodge star on primal 1-forms
%    star2 - sparse diagonal |F|x|F| matrix representing Hodge star on primal 2-forms
%

end

