  function [c0,c1,c2] = compute_circumcenters( V, d0, d1 )
% function [c0,c1,c2] = compute_circumcenters( V, d0, d1 )
%
% INPUT:
%    V - dense 2x|V| matrix of vertex positions
%    d0 - sparse |E|x|V| matrix representing discrete exterior derivative on 0-simplices
%    d1 - sparse |F|x|E| matrix representing discrete exterior derivative on 1-simplices
%
% OUTPUT:
%    c0 - dense 2x|V| matrix of vertex circumcenters
%    c1 - dense 2x|E| matrix of edge circumcenters
%    c2 - dense 2x|F| matrix of face circumcenters

end

