  function [ curlfree, divfree, harmonic ] = decompose_oneform( omega, d0, d1, star0, star1, star2 )
% function [ curlfree, divfree, harmonic ] = decompose_oneform( omega, d0, d1, star0, star1, star2 )
%
% INPUT:
%    omega - |E|x1 vector representing input (discrete) 1-form stored on edges
%    d0 - sparse |E|x|V| matrix representing discrete exterior derivative on 0-simplices
%    d1 - sparse |F|x|E| matrix representing discrete exterior derivative on 1-simplices
%    star0 - sparse diagonal |V|x|V| matrix representing Hodge star on primal 0-forms
%    star1 - sparse diagonal |E|x|E| matrix representing Hodge star on primal 1-forms
%    star2 - sparse diagonal |F|x|F| matrix representing Hodge star on primal 2-forms
%
% OUTPUT:
%    curlfree - |E|x1 vector representing curl-free component of omega
%    divfree  - |E|x1 vector representing divergence-free component of omega
%    harmonic - |E|x1 vector representing harmonic component of omega
%

end
