
filename = 'oneform.ps';

fp = fopen( filename, 'w' );

if( fp == -1 )
   disp( sprintf( 'Error: could not write to file "%s"\n', filename ));
   return;
end

V = zeros( 2, 3 );
for i = 1:3
   theta = 2*pi*(i-1)/3;
   V(:,i) = [ cos(theta); sin(theta) ];
end

ps_draw_segment( fp, 3, V(:,1)*250+[300;500], V(:,2)*250+[300;500] );
ps_draw_segment( fp, 3, V(:,2)*250+[300;500], V(:,3)*250+[300;500] );
ps_draw_segment( fp, 3, V(:,3)*250+[300;500], V(:,1)*250+[300;500] );

N = zeros( 2, 3 );
c = zeros( 3, 1 );
for i = 1:3
   v1 = V(:,1+mod(0+i-1,3));
   v2 = V(:,1+mod(1+i-1,3));
   e = v2 - v1;
   N(:,i) = [ e(2); -e(1) ];
   c(i) = N(:,i)' * v2;
end

omega = [ 1; 0; 0 ];
A = triangle_area( V(:,1), V(:,2), V(:,3) );

S = 24;
for i = 1:S
   for j = 1:S
      p = rand( 2, 1 )/S + [ (i-1)/S; (j-1)/S ];
      p = p*2-1;
      if( N(:,1)'*p < c(1) && ...
          N(:,2)'*p < c(2) && ...
          N(:,3)'*p < c(3) )
         u = oneform( V, omega, p );
         q1 = p - u*.125;
         q2 = p + u*.125;
         q1 = q1*250 + [300;500];
         q2 = q2*250 + [300;500];
         ps_draw_segment( fp, 1, q1, q2 );
      end
   end
end

fclose( fp );

