  function u = oneform( V, omega, p )
% function u = oneform( V, omega, p )
%
% Interpolates a discrete 1-form using the Whitney basis.
%
% INPUT:
%    V - 2x3 matrix; columns give vertex coordinates of vertices in triangle {a,b,c}
%    omega - 3x1 vector of 1-form values stored on edges (a,b), (b,c), (c,a), resp.
%    p - 2x1 vector representing sample location
%   
% OUTPUT:
%    u - 2x1 vector giving interpolated 1-form at p
%
   
end
