  function A = triangle_area( a, b, c )
% function A = triangle_area( a, b, c )
%
% Computes the area of a triangle.
%
% INPUT:
%    a - 2x1 vector representing first vertex coordinate
%    b - 2x1 vector representing second vertex coordinate
%    c - 2x1 vector representing third vertex coordinate
%
% OUTPUT:
%    A - area of triangle {a,b,c}
%

   u = b - a;
   v = c - a;
   A = ( u(1)*v(2) - u(2)*v(1) ) / 2;

end

