  function write_circumcentric_subdivision( filename, d0, d1, c0, c1, c2 )
% function write_circumcentric_subdivision( filename, d0, d1, c0, c1, c2 )

   fp = fopen( filename, 'w' );

   if( fp == -1 )
      disp( sprintf( 'Error: could not write to file "%s"\n', filename ));
      return;
   end

   nV = size( d0, 2 );
   nE = size( d0, 1 );
   nF = size( d1, 1 );

   pts = [ c0, c1, c2 ];
   scale = max( max(pts) - min(pts));
   newScale = 600.0;
   newMin = [ 40; 150 ];
   c0 = newScale * ( c0 - min( pts' )'*ones(1,nV)) / scale + newMin*ones(1,nV);
   c1 = newScale * ( c1 - min( pts' )'*ones(1,nE)) / scale + newMin*ones(1,nE);
   c2 = newScale * ( c2 - min( pts' )'*ones(1,nF)) / scale + newMin*ones(1,nF);

   ps_header( fp, [ 0, 0, newScale, newScale ] );

   for i = 1:nF
      ci = c2( :, i );
      for j = find( d1( i, : ))
         cj = c1( :, j );
         ps_draw_segment( fp, .2, ci, cj );
         for k = find( d0( j, : ))
            ck = c0( :, k );
            ps_draw_segment( fp, .2, ci, ck );
            ps_draw_segment( fp, 1, cj, ck );
         end
      end
   end

   fclose( fp );
end

